#VU23778 Insecure DLL loading


Published: 2019-12-20

Vulnerability identifier: #VU23778

Vulnerability risk: Low

CVSSv3.1: 5.5 [CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:N/E:U/RL:O/RC:C]

CVE-ID: CVE-2019-5539

CWE-ID: CWE-427

Exploitation vector: Local

Exploit availability: No

Vulnerable software:
VMware Workstation
Client/Desktop applications / Virtualization software
VMware Horizon
Server applications / Virtualization software

Vendor: VMware, Inc

Description

The vulnerability allows a local user to escalate privileges on the target system.

The vulnerability exists due to insecure loading of a DLL by Cortado Thinprint. A local user can escalate their privileges to administrator on a Windows machine where Workstation or View Agent is installed.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

VMware Workstation: 15.0.4 - 15.5.0

VMware Horizon: 7.5 - 7.5.3


CPE

External links
http://www.vmware.com/security/advisories/VMSA-2019-0023.html


Q & A

Can this vulnerability be exploited remotely?

No. This vulnerability can be exploited locally. The attacker should have authentication credentials and successfully authenticate on the system.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.


Latest bulletins with this vulnerability